@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');

* {
    box-sizing: border-box;
}

body{
    font-family: 'Roboto', sans-serif;
    height: 100vh;
    overflow: hidden;
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.container {
    display: flex;
    width: 90vw;
}

.panel {
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 80vh;
    color: white;
    border-radius: 10px;
    margin: 10px;
    position: relative;
    flex: 0.5;
    cursor: pointer;

    transition: flex 700ms ease-in;
}

.panel h3 {
    font-size: 24px;
    position: absolute;
    bottom: 20px;
    left: 20px;
    margin: 0;
    opacity: 0;
}

.panel.active {
    flex: 5;
}

.panel.active h3{
    opacity: 1;
    transition: opacity 0.3s ease-in 0.4s;
}

@media (max-width:480px) {
    .panel:nth-of-type(4), .panel:nth-of-type(5){
        display: none;
    }
    .container {
        width: 100vw;
    }
}